cls
@echo off
TITLE 欢迎使用*定制工具箱*...
ECHO.
color 0a
GOTO MENU
:MENU
cls
ECHO.
echo.***********************************************************
echo.  绿  简                 【定制工具箱】
echo.  色  单               2014/05/04更新上传       
echo.  护  实              版本：定制工具箱 V5.0
echo.  眼  用                定制：E58-ROM移植
echo.***********************************************************
ECHO.
ECHO. 
ECHO.操作选项:
ECHO.                          
ECHO.         1. 反编译apk文件 .apk 
ECHO.
ECHO.         2. 回编译 APK 并 签名.apk
ECHO.
ECHO.         3. 单独签名 (未签名).apk
ECHO.
ECHO.         4. 安装系统框架 framework-res.apk
ECHO.           
ECHO.         5. 删除上次反编译的文件夹    
ECHO.
ECHO.         6. ROM通用 一键签名 刷机包（.zip）
ECHO.
ECHO.        66. 高通选项
ECHO.
ECHO.        77. MTK 选项
ECHO.
ECHO.        88. 常用选项
ECHO.
ECHO.        99. 帮助信息
ECHO.
ECHO.        00. 关闭退出
ECHO.
ECHO. 请输入操作选项：1、2、3、4、5、6、66、77、88、99、00
ECHO. 按回车键继续...
set /p ID=
if "%id%"=="1" goto cmda
if "%id%"=="2" goto cmdb
if "%id%"=="3" goto cmdc
if "%id%"=="4" goto cmdr
if "%id%"=="5" goto cmde
if "%id%"=="6" goto cmdi
if "%id%"=="66" goto cmdG
if "%id%"=="77" goto cmdM
if "%id%"=="88" goto cmdW
if "%id%"=="99" goto help
if "%id%"=="00" goto cmd00
pause
goto menu

:cmdG
ECHO.
color 0b
cls
ECHO.
echo.***********************************************************
echo.  绿  简                 【定制工具箱】
echo.  色  单               2014/05/04更新上传       
echo.  护  实              版本：定制工具箱 V5.0
echo.  眼  用                定制：E58-ROM移植
echo.***********************************************************
ECHO.
ECHO. 
ECHO.操作选项:
ECHO.   
ECHO.         7.高通专用解包boot.img        
ECHO.
ECHO.         8.高通专用解包recovery.img               
ECHO.   
ECHO.         9.高通专用打包boot.img
ECHO.
ECHO.        10.高通专用打包recovery.img
ECHO.
ECHO.        33.返回菜单
ECHO.
ECHO. 请输入操作选项：7、8、9、10、33
ECHO. 按回车键继续...
set /p ID=
if "%id%"=="7" goto cmd7
if "%id%"=="8" goto cmd8
if "%id%"=="9" goto cmd9
if "%id%"=="10" goto cmd10
if "%id%"=="33" goto cmd33
pause
goto menu

:cmdM
ECHO.
color 0b
GOTO MENU
:MENU
cls
ECHO.
echo.***********************************************************
echo.  绿  简                 【定制工具箱】
echo.  色  单               2014/05/04更新上传       
echo.  护  实              版本：定制工具箱 V5.0
echo.  眼  用                定制：E58-ROM移植
echo.***********************************************************
ECHO.
ECHO. 
ECHO.操作选项: 
ECHO.           11. MTK专用 一键移植recovery.img
ECHO. 
ECHO.           12. MTK专用 一键移植boot.img
ECHO.
ECHO.           13. MTK专用 一键截取log日志
ECHO.           (需要把手机的设置-开发者选项-USB调试打开) 
ECHO.
ECHO.           14.MTK专用解包boot.img
ECHO.
ECHO.           15.MTK专用解包recovery.img
ECHO.
ECHO.           16.MTK专用打包boot.img
ECHO.
ECHO.           17.MTK专用打包recovery.img
ECHO. 
ECHO.           33.返回菜单
ECHO.
ECHO. 请输入操作选项：11、12、13、14、15、16、17、33
ECHO. 按回车键继续...
set /p ID=
if "%id%"=="11" goto cmd11
if "%id%"=="12" goto cmd12
if "%id%"=="13" goto cmd13
if "%id%"=="14" goto cmd14
if "%id%"=="15" goto cmd15
if "%id%"=="16" goto cmd16
if "%id%"=="17" goto cmd17
if "%id%"=="33" goto cmd33
pause
goto menu

:cmdW
ECHO.
color 0b
GOTO MENU
:MENU
cls
ECHO.
echo.***********************************************************
echo.  绿  简                 【定制工具箱】
echo.  色  单               2014/05/04更新上传       
echo.  护  实              版本：定制工具箱 V5.0
echo.  眼  用                定制：E58-ROM移植
echo.***********************************************************
ECHO.
ECHO. 
ECHO.操作选项:
ECHO.
ECHO.          18.一键合拼 apk/framework/中的odex文件  
ECHO.
ECHO.          19.删除上次备份的framework框架temp_framework目录
ECHO.
ECHO.          33.返回菜单
ECHO.
ECHO. 请输入操作选项：18、19、33
ECHO. 按回车键继续...
set /p ID=
if "%id%"=="18" goto cmd18
if "%id%"=="19" goto cmd19
if "%id%"=="33" goto cmd33
pause
goto menu

:cmda
echo     正在反编译APK...
java -jar apktool.jar d a.apk 反编译
echo.
ECHO.
ECHO.    按任意键返回菜单
pause>nul
@echo off
goto menu

:cmdb
ECHO.　　正在回编译APK...
java -jar apktool.jar b 反编译
goto end
:end
@echo off
ECHO. 
ECHO. 
ECHO. 已经回编译的文件在 反编译\build目录内
ECHO.    按任意键返回菜单
pause>nul
cls
move .\反编译\dist\a.apk .\反编译\build\(未签名).apk
rd /s /q .\反编译\dist\
ECHO.　　开始签名APK文件...
java -jar .\apktool\apktool.jar .\apktool\apktool.pem .\apktool\apktool.pk8 .\反编译\build\(未签名).apk .\反编译\build\(已签名).apk
ECHO.　　完成签名！
cls
goto menu

:cmdc
cls
ECHO.　　开始签名APK文件...
java -jar .\apktool\apktool.jar .\apktool\apktool.pem .\apktool\apktool.pk8 .\反编译\build\(未签名).apk .\反编译\build\(已签名).apk
ECHO.　　完成签名!
cls
goto menu

:cmdr
echo.    正在安装系统框架framework-res.apk
java -jar apktool.jar if framework-res.apk
@echo off
ECHO. 
ECHO. 
ECHO.    安装完成，按任意键返回菜单
pause>nul
goto menu

:cmde
rd /s /q .\反编译
rd /s /q C:\Users\Administrator\apktool\framework
ECHO. 
ECHO. 
ECHO.    文件夹已经删除，按任意键返回菜单
pause>nul
goto menu

:cmd12
@echo 把官方ROM中的boot.img放到“官方的boot”文件夹中
@echo 把要移植的ROM中的boot.img放到“要移植的boot”文件夹中
Pause
@echo 正在移植boot,请稍候...                               
@echo off
bootimg.exe --unpack-bootimg 移植boot\官方的boot\boot.img
rename kernel a
del ramdisk
bootimg.exe --unpack-bootimg 移植boot\要移植的boot\boot.img
del kernel
rename a kernel
rename ramdisk ramdisk.gz
bootimg.exe --repack-bootimg 0x10000000 "" 2048 2048
md 完成移植的boot
move boot.img 完成移植的boot
del kernel
del ramdisk.gz
ECHO.    按任意键返回菜单
pause>nul
goto menu

:cmd11
@echo 把官方ROM中的recovery.img放到“官方的recovery”文件夹中
@echo 把要移植的ROM中的recovery.img放到“要移植的recovery”文件夹中
Pause
@echo 正在移植recovery,请稍候...                               
@echo off
bootimg.exe --unpack-bootimg 移植recovery\官方的recovery\recovery.img
rename kernel a
del ramdisk
bootimg.exe --unpack-bootimg 移植recovery\要移植的recovery\recovery.img
del kernel
rename a kernel
rename ramdisk ramdisk.gz
bootimg.exe --repack-bootimg 0x10000000 "" 2048 2048
md 完成移植的recovery
rename boot.img recovery.img
move recovery.img 完成移植的recovery
del kernel
del ramdisk.gz
ECHO.    按任意键返回菜单
pause>nul
goto menu

:cmd13
echo. 
set time_hh=%time:~0,2%
if /i %time_hh% LSS 10 (set time_hh=0%time:~1,1%)
set filename=%date:~,4%年%date:~5,2%月%date:~8,2%日_%time_hh%时%time:~3,2%分%time:~6,2%秒
echo.
echo 请把手机的USB调试打开再使用...
echo.
echo 在电脑左下角点击-开始-运行-输入cmd
echo.
echo 输入adb devices 检测设备是否连接
echo 如没有连接，请使用豌豆荚，360助手等连接手机再使用.
echo.
echo 正在生成log日志...
echo.
echo 生成log完成后将自动关闭窗口，请耐心等待3~5分钟...
adb logcat *:E > %filename%.log
ECHO.    按任意键返回菜单
pause>nul
goto menu

:cmdi
:cmdi
set filename=*.zip
goto sign
:sign
echo.
echo 正在签名ROM，请稍等... 
echo.
if not exist .\已经签名的ROM mkdir .\已经签名的ROM
for /f "delims=" %%i in ('dir/b %filename%') do (
java -jar .\ROM\signapk.jar .\ROM\testkey.x509.pem .\ROM\testkey.pk8 "%%i" ".\已经签名的ROM\%%~ni_signed%%~xi")
ECHO.    按任意键返回菜单
pause>nul
goto menu

:cmd7
@echo off
批量命令1.bat 高通的boot\boot.img
ECHO.       解包完成
ECHO.    按任意键返回菜单
pause>nul
goto menu

:cmd8
@echo off
批量命令1.bat 高通的recovery\recovery.img
ECHO.       解包完成
ECHO.    按任意键返回菜单
pause>nul
goto menu

:cmd9
@echo off
批量命令2.bat boot
ECHO.       打包完成
ECHO.    按任意键返回菜单
pause>nul
goto menu

:cmd10
@echo off
批量命令2.bat recovery
ECHO.       打包完成
ECHO.    按任意键返回菜单
pause>nul
goto menu

:cmd14
@echo off
批量命令3.bat MTK的boot\boot.img
ECHO.       解包完成
ECHO.    按任意键返回菜单
pause>nul
goto menu

:cmd15
@echo off
批量命令3.bat MTK的recovery\recovery.img
ECHO.       解包完成
ECHO.    按任意键返回菜单
pause>nul
goto menu

:cmd16
@echo off
批量命令4.bat boot
ECHO.       打包完成
ECHO.    按任意键返回菜单
pause>nul
goto menu

:cmd17
@echo off
批量命令4.bat recovery
ECHO.       打包完成
ECHO.    按任意键返回菜单
pause>nul
goto menu

:help
cls     
echo.
echo 1. 此工具必须要安装JAVA才能正常使用！
echo.
echo 2. 请把要编译的apk文件和framework-res.apk放在子文件夹内
echo.
echo 3. 编译apk前请重命名为a.apk 
echo    在编译系统apk前请先安装好系统所需的框架文件framework-res.apk
echo    回编译好的apk，在反编译的build文件夹里
echo   （反编译普通apk,无需安装framework-res.apk框架，也能使用！
echo.
echo 4. 签名ROM，请把.zip压缩包放在ROM文件夹内，再使用签名功能
echo.
echo 5. 要移植的boot和recovery请放在相对应的文件夹里
echo.
echo 6. 要解包的boot和recovery请放在相对应的文件夹里
echo.
echo 7. 关于 一键截取log日志使用方法，(需要把手机的设置-开发者选项-USB调试打开连接电脑) 
echo.    
echo    检查设备是否连接，在电脑左下角点击-开始-运行-输入cmd
echo.
echo    输入adb devices 检测设备是否连接
echo    如没有连接，请使用豌豆荚，360助手等连接手机再使用此功能即可
echo.
echo 8. 关于apk合拼，如果你之前已经合拼过，请选择19删除上次的记录
echo    支持1.6-4.2.2 APK合拼
echo    建议把工具文件夹解压到桌面
echo.
echo 关于版权：
echo         本群专用
echo         拒绝盗版
echo         纯属娱乐
echo         禁止传播
echo.
echo 定制作者：
echo         E58-ROM移植
echo.
echo 关于版本：
echo         2014/05/04更新最新版
echo         定制工具箱 V5.0
echo         终极完美版
echo.
ECHO.    按任意键返回菜单
pause>nul
goto menu

:cmd33
ECHO.    按任意键返回菜单
pause>nul
goto menu

:cmd18
echo.
echo 创建Android框架备份....
mkdir apk合拼\temp_framework
xcopy apk合拼\要合拼的目录\system\framework apk合拼\temp_framework /E/Q
copy apk合拼\bzip2.dll apk合拼\要合拼的目录\system\framework
copy apk合拼\zip.exe apk合拼\要合拼的目录\system\framework
copy apk合拼\zip32z64.dll apk合拼\要合拼的目录\system\framework
copy apk合拼\bzip2.dll apk合拼\要合拼的目录\system\app
copy apk合拼\zip.exe apk合拼\要合拼的目录\system\app
copy apk合拼\zip32z64.dll apk合拼\要合拼的目录\system\app
echo. 
echo 正在合并framework目录...
for /r apk合拼\要合拼的目录\system\framework\ %%a in (*.odex) do call 批量命令6.bat %%a
echo. 
echo. 
echo 正在合并app目录...
for /r apk合拼\要合拼的目录\system\app\ %%a in (*.odex) do call 批量命令5.bat %%a
echo. 
ECHO.       合拼完成
ECHO.    按任意键返回菜单
pause>nul
goto menu

:cmd19
rd /s /q D:\360data\重要数据\桌面\强大的一键定制工具箱V5.0最新更新版\apk合拼\temp_framework
rd /s /q D:\360data\重要数据\桌面\强大的一键定制工具箱V5.0最新更新版\apk合拼\out
rd /s /q C:\桌面\强大的一键定制工具箱V5.0最新更新版\apk合拼\temp_framework
rd /s /q C:\桌面\强大的一键定制工具箱V5.0最新更新版\apk合拼\out
rd /s /q E:\桌面\强大的一键定制工具箱V5.0最新更新版\apk合拼\temp_framework
rd /s /q E:\桌面\强大的一键定制工具箱V5.0最新更新版\apk合拼\out
ECHO. 
ECHO. 正在删除temp_framework和out目录...
ECHO. 
ECHO.    文件夹已经删除，按任意键返回菜单
pause>nul
goto menu

:cmd00
exit
